<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('field_jobs', function (Blueprint $table) {
            $table->boolean('added_activity')->default(false);
            $table->timestamp('last_activity')->nullable()->default(null);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('field_jobs', function (Blueprint $table) {
            $table->dropColumn('last_activity');
            $table->dropColumn('added_activity');
        });
    }
};
